#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <string>

#include <QMainWindow>
#include <QMenu>
#include <QAction>
#include <QLabel>
#include <QString>
#include <QColor>
#include <QCloseEvent>

#include <MsgThread.hh>

class SvgView;

//class QAction;
//class QGraphicsView;
//class QGraphicsScene;
//class QGraphicsRectItem;

class MinimalWindow : public QMainWindow
{
	Q_OBJECT

public:
	MinimalWindow(MsgThread *t);
	
	void setApplicationTitle(std::string const& s);

private:
	MinimalWindow();

	MsgThread *msgThread;

	SvgView* view;
	QLabel* statusBarContent;
	
	void closeEvent(QCloseEvent *event);
	
private slots:
	void changePlanImages(const QString &qs1, const QString &qs2); //The new plans are received
	void updatePlanResult(const QString &qm, const QColor &qc); //Information are received about the planning status
	void addPlanRequest(const QString &qy, const QString &qi, const QString &qa, const QString &qp); //New plan request has been sent by the core
};

#endif //MAINWINDOW_H
