#ifndef SVGVIEW_H
#define SVGVIEW_H

#include <QtCore>
#include <QFile>
#include <QGraphicsView>
#include <QGraphicsSvgItem>
#include <QWheelEvent>
#include <QPaintEvent>
#include <QResizeEvent>

class SvgView : public QGraphicsView
{
	Q_OBJECT

public:
	SvgView(QWidget *parent = 0);

	void openFile(const QFile &file);
	void clear();

protected:
	void wheelEvent(QWheelEvent *event);
	void paintEvent(QPaintEvent *event);
	void resizeEvent(QResizeEvent *event);

private:
	QWidget* parent;
	QGraphicsItem* svgItem;

	QImage image;
};
#endif //SVGVIEW_H
